/*
Theme Name: Enfold Child
Description: A <a href='http://codex.wordpress.org/Child_Themes'>Child Theme</a> for the Enfold Wordpress Theme. If you plan to do a lot of file modifications we recommend to use this Theme instead of the original Theme. Updating will be much easier then.
Version: 1.0
Author: Kriesi
Author URI: http://www.kriesi.at
Template: enfold
*/



/*Add your own styles here:*/

/* --------- Header beim scroll verschieben ---------   */

body.leistungen-pin-active #header,
body.leistungen-pin-active #header_main {
  transform: translateY(-110%);
  transition: transform .25s ease;
  pointer-events: none;
}


#leistungen.pin-leistungen {
  overflow: visible !important;
}




/* Header fix + elegante Animation */
#header{
  position: fixed !important;
  left: 0px; right: 0px; 
  width: 100%;
  z-index: 9999;

  /* Adminbar-Offset */
  top: var(--za-admin-h, 40px);

  /* “Eleganter” als linear: weicher Ease */
  transition: top 280ms cubic-bezier(.22,.61,.36,1), opacity 220ms ease;
  will-change: top, opacity;
}

/* Versteckt nach oben (inkl. Adminbar) */
#header.za-hide-header{
  top: calc(var(--za-admin-h, 0px) - var(--za-header-h, 0px) - 12px);
  opacity: 0.98; /* minimaler Fade, optional */
}

/* Admin-Bar (falls eingeloggt) */
.admin-bar #header{ top: 32px; }
@media (max-width: 782px){
  .admin-bar #header{ top: 46px; }
}

/* WICHTIG: Enfold Burger/Overlay nach vorne holen */
#mobile-advanced,
.avia-menu-fx,
.avia-overlay,
.avia-overlay-bg,
.avia-menu-fx .avia-menu-fx-inner{
  z-index: 100000 !important;
}

html.html_av-framed-box.html_av-overlay-side .av-burger-overlay-scroll {
right: 0 !important;
}

/* Desktop-Offset für Header */
@media only screen and (min-width: 990px){
  #header{
    top: calc(var(--za-admin-h, 0px) + 0px);
 left: 0px; right: 0px; 
  width: calc(100%);
  }

  #header.za-hide-header{
    top: calc(var(--za-admin-h, 0px) + 10px - var(--za-header-h, 0px) - 12px);
  }
}






/* 1) Hero-Row wirklich als Flex mit Stretch */
#hero .flex_column_table.av-equal-height-column-flextable{
  display: flex;
  align-items: stretch;
}

/* 2) Die beiden "Cells" (deine Columns) sollen die volle Row-Höhe nutzen */
#hero .flex_column_table_cell.av-equal-height-column{
  display: flex;
  flex-direction: column;
}

/* 3) Bild-Container im linken Column auf volle Höhe ziehen */
#hero .avia-builder-el-1 .avia-image-container,
#hero .avia-builder-el-1 .avia-image-container-inner,
#hero .avia-builder-el-1 .avia-image-overlay-wrap{
  height: 100%;
  flex: 1 1 auto;
}

/* 4) Bild selbst: 100% Höhe + Cover */
#hero .avia-builder-el-1 img.avia_image{
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}



